Bug 759061 - Add support for ESXi 5
Summary: Add support for ESXi 5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.2
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Daniel Veillard
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 758231
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-01 11:07 UTC by RHEL Program Management
Modified: 2012-01-17 11:47 UTC (History)
19 users (show)

Fixed In Version: libvirt-0.9.4-23.el6_2.2
Doc Type: Bug Fix
Doc Text:
Support for VMware vSphere Hypervisor (ESXi) 5 installations has been added.
Clone Of:
Environment:
Last Closed: 2012-01-17 10:24:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0013 0 normal SHIPPED_LIVE libvirt bug fix and enhancement update 2012-08-03 13:29:55 UTC

Description RHEL Program Management 2011-12-01 11:07:33 UTC
This bug has been copied from bug #758231 and has been proposed
to be backported to 6.2 z-stream (EUS).

Comment 6 yuping zhang 2011-12-31 06:25:42 UTC
Test this issue with:
VMware ESXi Version 5.0.0 Build 469512
libvirt-python-0.9.4-23.el6_2.2.x86_64
libvirt-client-0.9.4-23.el6_2.2.x86_64
libvirt-0.9.4-23.el6_2.2.x86_64

Steps:

1.# virsh -c esx://10.66.6.211/?no_verify=1
Enter username for 10.66.6.211 [root]: 
Enter root's password for 10.66.6.211: 
Welcome to virsh, the virtualization interactive terminal.

Type:  'help' for help with commands
       'quit' to quit

virsh # list --all
 Id Name                 State
----------------------------------
  - esx5.0-rhel5.7-i386  shut off
  - esx5.0-rhel5.7-x86_64 shut off
  - esx5.0-rhel6.2-i386  shut off
2.Start a guest
# virsh -c esx://10.66.6.211/?no_verify=1 start esx5.0-rhel6.2-i386
Enter username for 10.66.6.211 [root]: 
Enter root's password for 10.66.6.211: 
Domain esx5.0-rhel6.2-i386 started

# virsh -c esx://10.66.6.211/?no_verify=1 list 
Enter username for 10.66.6.211 [root]: 
Enter root's password for 10.66.6.211: 
 Id Name                 State
----------------------------------
  5 esx5.0-rhel6.2-i386  running

3.Dumpxml of guest.
# virsh -c esx://10.66.6.211/?no_verify=1 dumpxml esx5.0-rhel6.2-i386
Enter username for 10.66.6.211 [root]: 
Enter root's password for 10.66.6.211: 
<domain type='vmware' id='5'>
  <name>esx5.0-rhel6.2-i386</name>
  <uuid>564d3e09-815e-4a09-33e4-27a1ed42adb2</uuid>
  <memory>2097152</memory>
  <currentMemory>2097152</currentMemory>
  <vcpu>1</vcpu>
  <os>
    <type arch='i686'>hvm</type>
  </os>
  <clock offset='utc'/>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>restart</on_reboot>
  <on_crash>destroy</on_crash>
  <devices>
    <disk type='file' device='disk'>
      <source file='[datastore1] esx5.0-rhel6.2-i386/esx5.0-rhel6.2-i386-000001.vmdk'/>
      <target dev='sda' bus='scsi'/>
...

4.Define a guest.
# virsh -c esx://10.66.6.211/?no_verify=1 define esxi5.xml
Enter username for 10.66.6.211 [root]: 
Enter root's password for 10.66.6.211: 
Domain test5.0 defined from esxi5.xml

# virsh -c esx://10.66.6.211/?no_verify=1 list --all
Enter username for 10.66.6.211 [root]: 
Enter root's password for 10.66.6.211: 
 Id Name                 State
----------------------------------
  5 esx5.0-rhel6.2-i386  running
  - test5.0              shut off

5.Undefine a guest.
# virsh -c esx://10.66.6.211/?no_verify=1 undefine test5.0
Enter username for 10.66.6.211 [root]: 
Enter root's password for 10.66.6.211: 
Domain test5.0 has been undefined

6.Destroy a guest.
virsh -c esx://10.66.6.211/?no_verify=1 destroy esx5.0-rhel6.2-i386
Enter username for 10.66.6.211 [root]: 
Enter root's password for 10.66.6.211: 
Domain esx5.0-rhel6.2-i386 destroyed

It works well for me.

Comment 8 tingting zheng 2012-01-06 09:27:34 UTC
Verified the bug with:
VMware ESXi Version 5.0.0 Build 469512
libvirt-0.9.4-23.el6_2.4.x86_64
libvirt-client-0.9.4-23.el6_2.4.x86_64
libvirt-python-0.9.4-23.el6_2.4.x86_64

The steps are the same with comment 6.

Comment 9 errata-xmlrpc 2012-01-17 10:24:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0013.html

Comment 10 Miroslav Svoboda 2012-01-17 11:47:39 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Support for VMware vSphere Hypervisor (ESXi) 5 installations has been added.


Note You need to log in before you can comment on or make changes to this bug.